Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Openoffice.org-core - ошибка? О_о  (Прочитано 1524 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн ArPi

  • Автор темы
  • Новичок
  • *
  • Сообщений: 12
  • еще учусь))
    • Просмотр профиля
Openoffice.org-core - ошибка? О_о
« : 23 Апрель 2008, 19:37:27 »
Надо было обновить Ubuntu 7.10. я создал локальный репозиторий. все обновилось нормально, кроме openoffice.org-core.
arpi@arpi:~$ sudo apt-get install openoffice.org
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Reading state information... Готово                       
Следующие пакеты были установлены автоматически но более не требуются:
  audacious libxmmsclient2 audacious-plugins language-pack-ru-base
  libaudacious5 language-pack-gnome-ru-base libmcs1 language-pack-ru
  libxmmsclient-glib1 libmms0 language-pack-gnome-ru
Используйте команду 'apt-get autoremove' для их удаления.
Будут установлены следующие дополнительные пакеты:
  openoffice.org-base openoffice.org-calc openoffice.org-core
  openoffice.org-draw openoffice.org-impress openoffice.org-math
  openoffice.org-writer python-uno
Предлагаемые пакеты:
  hunspell-dictionary openoffice.org-help-2.3 menu unixodbc
  openoffice.org-gnome openoffice.org-kde openclipart-openoffice.org pstoedit
  imagemagick gstreamer0.10-plugins-bad libmyodbc odbc-postgresql
  libsqliteodbc tdsodbc mdbtools libmysql-java libpg-java libsapdbc-java
  openoffice.org-gcj openoffice.org-report-builder
Рекомендуемые пакеты:
  openoffice.org-filter-mobiledev openoffice.org-officebean
  openoffice.org-filter-binfilter nfs-common
НОВЫЕ пакеты, которые будут установлены:
  openoffice.org openoffice.org-base openoffice.org-calc openoffice.org-draw
  openoffice.org-impress openoffice.org-math openoffice.org-writer python-uno
Пакеты, которые будут обновлены:
  openoffice.org-core
обновлено 1, установлено 8 новых пакетов, для удаления отмечено 0 пакетов, и 4 пакетов не обновлено.
Необходимо скачать 0B/55,8MB архивов.
После распаковки объем занятого дискового пространства возрастёт на 57,7MB.
Хотите продолжить [Д/н]? y
ВНИМАНИЕ: Следующие пакеты невозможно аутентифицировать!
  openoffice.org-core python-uno openoffice.org-writer openoffice.org-calc
  openoffice.org-draw openoffice.org-impress openoffice.org-math
  openoffice.org-base openoffice.org
Установить эти пакеты без проверки [y/N]? y
E: Слишком короткий архив
E: Prior errors apply to /home/arpi/repo/openoffice.org-core_2.3.0-1ubuntu5.3_i386.deb
E: Prior errors apply to /home/arpi/repo/python-uno_2.3.0-1ubuntu5.3_i386.deb
E: Prior errors apply to /home/arpi/repo/openoffice.org-writer_2.3.0-1ubuntu5.3_i386.deb
E: Prior errors apply to /home/arpi/repo/openoffice.org-calc_2.3.0-1ubuntu5.3_i386.deb
E: Prior errors apply to /home/arpi/repo/openoffice.org-draw_2.3.0-1ubuntu5.3_i386.deb
E: Prior errors apply to /home/arpi/repo/openoffice.org-impress_2.3.0-1ubuntu5.3_i386.deb
E: Prior errors apply to /home/arpi/repo/openoffice.org-math_2.3.0-1ubuntu5.3_i386.deb
E: Prior errors apply to /home/arpi/repo/openoffice.org-base_2.3.0-1ubuntu5.3_i386.deb
E: Prior errors apply to /home/arpi/repo/openoffice.org_2.3.0-1ubuntu5.3_i386.deb
debconf: ошибка при работе apt-extracttemplates: Bad file descriptor(Чтение базы данных... на данный момент установлено 95990 файлов и каталогов.)
Подготовка к замене пакета openoffice.org-core 1:2.3.0-1ubuntu5 (используется файл .../openoffice.org-core_2.3.0-1ubuntu5.3_i386.deb)...
Распаковывается замена для пакета openoffice.org-core ...
dpkg-deb (подпроцесс): при работе функции buffer_copy (не удалось осуществить запись в канал ввода/вывода при копировании) прочитан слишком короткий блок данных
dpkg-deb: подпроцесс paste возвратил код ошибки 2
dpkg: не удалось обработать параметр /home/arpi/repo/openoffice.org-core_2.3.0-1ubuntu5.3_i386.deb (--unpack):
 при работе функции buffer_copy (обработка файла ./usr/lib/openoffice/program/vclcanvas.uno.so процессом dpkg-deb) прочитан слишком короткий блок данных
Выбор ранее не выбранного пакета python-uno.
Распаковывается пакет python-uno (из файла .../python-uno_2.3.0-1ubuntu5.3_i386.deb)...
Выбор ранее не выбранного пакета openoffice.org-writer.
Распаковывается пакет openoffice.org-writer (из файла .../openoffice.org-writer_2.3.0-1ubuntu5.3_i386.deb)...
Выбор ранее не выбранного пакета openoffice.org-calc.
Распаковывается пакет openoffice.org-calc (из файла .../openoffice.org-calc_2.3.0-1ubuntu5.3_i386.deb)...
Выбор ранее не выбранного пакета openoffice.org-draw.
Распаковывается пакет openoffice.org-draw (из файла .../openoffice.org-draw_2.3.0-1ubuntu5.3_i386.deb)...
Выбор ранее не выбранного пакета openoffice.org-impress.
Распаковывается пакет openoffice.org-impress (из файла .../openoffice.org-impress_2.3.0-1ubuntu5.3_i386.deb)...
Выбор ранее не выбранного пакета openoffice.org-math.
Распаковывается пакет openoffice.org-math (из файла .../openoffice.org-math_2.3.0-1ubuntu5.3_i386.deb)...
Выбор ранее не выбранного пакета openoffice.org-base.
Распаковывается пакет openoffice.org-base (из файла .../openoffice.org-base_2.3.0-1ubuntu5.3_i386.deb)...
Выбор ранее не выбранного пакета openoffice.org.
Распаковывается пакет openoffice.org (из файла .../openoffice.org_2.3.0-1ubuntu5.3_i386.deb)...
При обработке следующих пакетов произошли ошибки:
 /home/arpi/repo/openoffice.org-core_2.3.0-1ubuntu5.3_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

я его перезакачивал несколько раз - не помогает. как его нормально поставить??
Ubuntu 10.04.1 =)

Оффлайн Чужoй

  • Новичок
  • *
  • Сообщений: 15
    • Просмотр профиля
Re: Openoffice.org-core - ошибка? О_о
« Ответ #1 : 23 Апрель 2008, 20:26:35 »
если тебе не жалко трафика, то можешь качнуть отсюда: http://i-rs.ru/Skachat
там сборка неплохая, сам взял там готовый пекедж для фри, чтобы не собирать такого монстра вручную.

Оффлайн ArPi

  • Автор темы
  • Новичок
  • *
  • Сообщений: 12
  • еще учусь))
    • Просмотр профиля
Re: Openoffice.org-core - ошибка? О_о
« Ответ #2 : 27 Апрель 2008, 17:49:43 »
спасибо))

теперь буду пытаться с 7.10 до 8.04 обновиться))
Ubuntu 10.04.1 =)

Оффлайн Shefango

  • Старожил
  • *
  • Сообщений: 1121
  • "Нет ни Зла, ни Добра. Только Целесообразность"
    • Просмотр профиля
Re: Openoffice.org-core - ошибка? О_о
« Ответ #3 : 27 Апрель 2008, 20:14:32 »
Ой... Бог в помощь, конечно, но это проблематично, судя по сообщениям на форуме.
Ubuntu MATE@G2120/ASRock H61M-DGS/2x2Gb RAM/500Gb,1Tb,1Tb SATA/GF GTХ650/ext4
Runtu XFCE-14.04@Dell Inspirion 3542

 

Страница сгенерирована за 0.055 секунд. Запросов: 22.